post
https://api.aerocrs.com/v5/getAirlineAncillaries
Pull available ancillaries according to Airline and flight data
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request parameters
| Parameter | Type | Description |
|---|---|---|
| companycode | String* | The airline designator |
| flights | Element* | An array of flights |
| flightnumber | String* | The flight number |
| flightdate | Date* | YYYY/MM/DD date of departure |
| fromcode | String* | Departure destination code |
| tocode | String* | Arrival destination code |
| class | String* | The class code |
| currency | String (Optional) | The currency to get the results in |
- Mandatory parameters
Response
| Parameter | Type | Description |
|---|---|---|
| ancillaries | Element | Include all ancillaries |
| ancillary | Element | Include ancillary details |
| name | String | Ancillary name |
| description | String | Ancillary description |
| image | Link | Link to image |
| ssrcode | String | SSR code |
| items | Array | List of ancillary items and their information |
| itemid | Number | Ancillary Number (to use on createAncillary method) |
| itemname | String | Ancillary-item name |
| quantityforitem | Number | The factor of quantity taken from the total quantity allowed on the ancillary |
| fare | Number | Ancillary-item fare |
| tax1 | Number | Ancillary-item tax |
| tax2 | Number | Ancillary-item tax |
| tax3 | Number | Ancillary-item tax |
| tax4 | Number | Ancillary-item tax |
| vat | Number | Ancillary-item vat |
| currency | String | The currency code |
| soldBeforeTicket | Boolean | Show if item is sold before ticket is issued |
| soldAfterTicket | Boolean | Show if item is sold after ticket is issued |

